Announcement

Collapse
No announcement yet.

glmark2 errors

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • glmark2 errors

    When trying to run the desktop-graphics suite I get these messages from glmark2:

    Code:
    ts/glmark2-1.1.0: 
           Test Installation 1 of 1
           1 File Needed [7.49 MB / 1 Minute]
           File Found: glmark2-20170617.tar.gz                                                                                                                        [7.49MB] 
           Approximate Install Size: 59 MB 
           Estimated Install Time: 27 Seconds 
           Installing Test @ 12:49:25
               The installer exited with a non-zero exit status.
               ERROR: RuntimeError: generator raised StopIteration
               LOG: ~/.phoronix-test-suite/installed-tests/pts/glmark2-1.1.0/install-failed.log
    
    
       [PROBLEM] pts/glmark2-1.1.0 is not installed. 
    If I run the test anyway it gets to the glmark test and hangs.

    When trying to manually run the commands from the install script I get these messages:
    Code:
    [[email protected] glmark2-20170617]$ ./waf configure --with-flavors=x11-gl --prefix=$HOME 
    Traceback (most recent call last):
     File "/home/sam/.phoronix-test-suite/installed-tests/pts/glmark2-1.1.0/glmark2-20170617/waflib/Node.py", line 297, in ant_iter
       raise StopIteration
    StopIteration
    
    The above exception was the direct cause of the following exception:
    
    Traceback (most recent call last):
     File "/home/sam/.phoronix-test-suite/installed-tests/pts/glmark2-1.1.0/glmark2-20170617/waflib/Scripting.py", line 120, in waf_entry_point
       run_commands()
     File "/home/sam/.phoronix-test-suite/installed-tests/pts/glmark2-1.1.0/glmark2-20170617/waflib/Scripting.py", line 177, in run_commands
       parse_options()
     File "/home/sam/.phoronix-test-suite/installed-tests/pts/glmark2-1.1.0/glmark2-20170617/waflib/Scripting.py", line 150, in parse_options
       Context.create_context('options').execute()
     File "/home/sam/.phoronix-test-suite/installed-tests/pts/glmark2-1.1.0/glmark2-20170617/waflib/Options.py", line 145, in execute
       super(OptionsContext,self).execute()
     File "/home/sam/.phoronix-test-suite/installed-tests/pts/glmark2-1.1.0/glmark2-20170617/waflib/Context.py", line 88, in execute
       self.recurse([os.path.dirname(g_module.root_path)])
     File "/home/sam/.phoronix-test-suite/installed-tests/pts/glmark2-1.1.0/glmark2-20170617/waflib/Context.py", line 129, in recurse
       user_function(self)
     File "/home/sam/.phoronix-test-suite/installed-tests/pts/glmark2-1.1.0/glmark2-20170617/wscript", line 36, in options
       opt.load('compiler_c')
     File "/home/sam/.phoronix-test-suite/installed-tests/pts/glmark2-1.1.0/glmark2-20170617/waflib/Context.py", line 85, in load
       fun(self)
     File "/home/sam/.phoronix-test-suite/installed-tests/pts/glmark2-1.1.0/glmark2-20170617/waflib/Tools/compiler_c.py", line 40, in options
       opt.load_special_tools('c_*.py',ban=['c_dumbpreproc.py'])
     File "/home/sam/.phoronix-test-suite/installed-tests/pts/glmark2-1.1.0/glmark2-20170617/waflib/Context.py", line 315, in load_special_tools
       lst=self.root.find_node(waf_dir).find_node('waflib/extras').ant_glob(var)
     File "/home/sam/.phoronix-test-suite/installed-tests/pts/glmark2-1.1.0/glmark2-20170617/waflib/Node.py", line 346, in ant_glob
       ret=[x for x in self.ant_iter(accept=accept,pats=[to_pat(incl),to_pat(excl)],maxdepth=kw.get('maxdepth',25),dir=dir,src=src,re move=kw.get('remove',True))]
     File "/home/sam/.phoronix-test-suite/installed-tests/pts/glmark2-1.1.0/glmark2-20170617/waflib/Node.py", line 346, in <listcomp>
       ret=[x for x in self.ant_iter(accept=accept,pats=[to_pat(incl),to_pat(excl)],maxdepth=kw.get('maxdepth',25),dir=dir,src=src,re move=kw.get('remove',True))]
    RuntimeError: generator raised StopIteration

    I am running manjaro and have pts installed from the AUR. I have tried with both the phoronix-test-suite and phoronix-test-suite-git packages.

  • #2
    Python 3.7 and up uses new syntax. The issue was fixed in this commit. Use glmark2-1.2.0

    Comment


    • #3
      glmark2 waf was still using python2. It got fixed just recently in master to use python3. But, yes, it looks pts is using old version of glmark2. I understand it is nice to use same version for everything, for consistency, but updating to more recent version, or backporting this fixes as patches would be a good idea.

      Comment

      Working...
      X